%define _name timer-applet
%define ver_major 1.0

Name: gnome-applets-extra-timer
Version: %ver_major
Release: alt1

Summary: GNOME Timer Applet
Group: Graphical desktop/GNOME
License: GPL
Url: http://timerapplet.sourceforge.net

Source: %_name-%version.tar.gz
Patch: %_name-0.8-alt-makefile.patch

%define panel_ver 2.10.0
%define GConf_ver 2.10.0
%define scrollkeeper_ver 0.3.14

PreReq: GConf2 >= %GConf_ver scrollkeeper >= %scrollkeeper_ver
Requires: gnome-panel >= %panel_ver

BuildPreReq: GConf2 >= %GConf_ver
BuildPreReq: libgnome-panel-devel >= %panel_ver
BuildPreReq: gnome-common >= 2.8.0

# Automatically added by buildreq on Fri Mar 18 2005
BuildRequires: GConf2 ORBit2-devel esound fontconfig freetype2 glib2-devel gnome-vfs2-devel libGConf2-devel libart_lgpl-devel libatk-devel libbonobo2-devel libbonoboui-devel libgnome-devel libgnome-keyring libgnome-panel-devel libgnomecanvas-devel libgnomeui-devel libgtk+2-devel libpango-devel libpopt-devel libxml2-devel perl-XML-Parser pkgconfig scrollkeeper xorg-x11-libs

%description
Timer Applet is a countdown timer applet for the GNOME panel.

%define _libexecdir %_libdir/%_name

%prep
%setup -q -n %_name-%version
%patch -p1
# while no images
%__rm -rf help/*/figures
%__subst '/figdir/d' help/*/Makefile.am

%build
intltoolize --copy --force
gnome-doc-common --copy
autoreconf -ifsv
%configure --disable-schemas-install
%make_build

%install
%makeinstall

# remove none-packaged files
%__rm -rf %buildroot%_var

%find_lang --with-gnome %_name

%post
%gconf2_install %_name
%update_scrollkeeper

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %_name
fi

%postun
%clean_scrollkeeper

%files -f %_name.lang
%dir %_libexecdir
%_libexecdir/*
%_libdir/bonobo/*/*
%_datadir/gnome-2.0/ui/*
%_datadir/pixmaps/*
%config %_sysconfdir/gconf/schemas/*
%doc AUTHORS README ChangeLog NEWS

%changelog
* Sun Apr 03 2005 Yuri N. Sedunov <aris@altlinux.ru> 1.0-alt1
- 1.0

* Wed Mar 23 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.9-alt1
- 0.9

* Fri Mar 18 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.8-alt1
- First build for Sisyphus.

